CVE-2015-2041

Bug #1425271 reported by John Johansen on 2015-02-24
256
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
Yakkety
Low
Unassigned
linux-armadaxp (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
Yakkety
Low
Unassigned
linux-ec2 (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
Yakkety
Low
Unassigned
linux-flo (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
Yakkety
Low
Unassigned
linux-fsl-imx51 (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
Yakkety
Low
Unassigned
linux-goldfish (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
Yakkety
Low
Unassigned
linux-lts-backport-maverick (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Precise
Undecided
Unassigned
Trusty
Undecided
Unassigned
Utopic
Undecided
Unassigned
Vivid
Undecided
Unassigned
Wily
Undecided
Unassigned
Xenial
Undecided
Unassigned
Yakkety
Undecided
Unassigned
linux-lts-backport-natty (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Precise
Undecided
Unassigned
Trusty
Undecided
Unassigned
Utopic
Undecided
Unassigned
Vivid
Undecided
Unassigned
Wily
Undecided
Unassigned
Xenial
Undecided
Unassigned
Yakkety
Undecided
Unassigned
linux-lts-quantal (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
Yakkety
Low
Unassigned
linux-lts-raring (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
Yakkety
Low
Unassigned
linux-lts-saucy (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
Yakkety
Low
Unassigned
linux-lts-trusty (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
Yakkety
Low
Unassigned
linux-lts-utopic (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
Yakkety
Low
Unassigned
linux-lts-vivid (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
Yakkety
Low
Unassigned
linux-lts-wily (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
Yakkety
Low
Unassigned
linux-lts-xenial (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Undecided
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
Yakkety
Low
Unassigned
linux-mako (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
Yakkety
Low
Unassigned
linux-manta (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
Yakkety
Low
Unassigned
linux-mvl-dove (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
Yakkety
Low
Unassigned
linux-raspi2 (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
Yakkety
Low
Unassigned
linux-snapdragon (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Undecided
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
Yakkety
Low
Unassigned
linux-ti-omap4 (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
Yakkety
Low
Unassigned

Bug Description

net/llc/sysctl_net_llc.c in the Linux kernel before 3.19 uses an incorrect data type in a sysctl table, which allows local users to obtain potentially sensitive information from kernel memory or possibly have unspecified other impact by accessing a sysctl entry.

Break-Fix: 590232a7150674b2036291eaefce085f3f9659c8 6b8d9117ccb4f81b1244aafa7bc70ef8fa45fc49

John Johansen (jjohansen) wrote :

CVE-2015-2041

tags: added: kernel-cve-tracking-bug
information type: Public → Public Security
Changed in linux-lts-trusty (Ubuntu Trusty):
status: New → Invalid
Changed in linux-lts-trusty (Ubuntu Lucid):
status: New → Invalid
Changed in linux-lts-trusty (Ubuntu Vivid):
status: New → Invalid
Changed in linux-lts-trusty (Ubuntu Utopic):
status: New → Invalid
Changed in linux-armadaxp (Ubuntu Trusty):
status: New → Invalid
Changed in linux-armadaxp (Ubuntu Lucid):
status: New → Invalid
Changed in linux-armadaxp (Ubuntu Vivid):
status: New → Invalid
Changed in linux-armadaxp (Ubuntu Utopic):
status: New → Invalid
Changed in linux-lts-utopic (Ubuntu Precise):
status: New → Invalid
Changed in linux-lts-utopic (Ubuntu Lucid):
status: New → Invalid
Changed in linux-lts-utopic (Ubuntu Vivid):
status: New → Invalid
Changed in linux-lts-utopic (Ubuntu Utopic):
status: New → Invalid
Changed in linux-ec2 (Ubuntu Precise):
status: New → Invalid
Changed in linux-ec2 (Ubuntu Trusty):
status: New → Invalid
Changed in linux-ec2 (Ubuntu Vivid):
status: New → Invalid
Changed in linux-ec2 (Ubuntu Utopic):
status: New → Invalid
Changed in linux-lts-quantal (Ubuntu Trusty):
status: New → Invalid
Changed in linux-lts-quantal (Ubuntu Lucid):
status: New → Invalid
Changed in linux-lts-quantal (Ubuntu Vivid):
status: New → Invalid
Changed in linux-lts-quantal (Ubuntu Utopic):
status: New → Invalid
Changed in linux-flo (Ubuntu Precise):
status: New → Invalid
Changed in linux-flo (Ubuntu Lucid):
status: New → Invalid
Changed in linux-mvl-dove (Ubuntu Precise):
status: New → Invalid
Changed in linux-mvl-dove (Ubuntu Trusty):
status: New → Invalid
Changed in linux-mvl-dove (Ubuntu Vivid):
status: New → Invalid
Changed in linux-mvl-dove (Ubuntu Utopic):
status: New → Invalid
Changed in linux-goldfish (Ubuntu Precise):
status: New → Invalid
Changed in linux-goldfish (Ubuntu Lucid):
status: New → Invalid
Changed in linux-lts-saucy (Ubuntu Trusty):
status: New → Invalid
Changed in linux-lts-saucy (Ubuntu Lucid):
status: New → Invalid
Changed in linux-lts-saucy (Ubuntu Vivid):
status: New → Invalid
Changed in linux-lts-saucy (Ubuntu Utopic):
status: New → Invalid
Changed in linux-mako (Ubuntu Precise):
status: New → Invalid
Changed in linux-mako (Ubuntu Lucid):
status: New → Invalid
Changed in linux-ti-omap4 (Ubuntu Trusty):
status: New → Invalid
Changed in linux-ti-omap4 (Ubuntu Lucid):
status: New → Invalid
Changed in linux-ti-omap4 (Ubuntu Vivid):
status: New → Invalid
Changed in linux-ti-omap4 (Ubuntu Utopic):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Precise):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Trusty):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Vivid):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Utopic):
status: New → Invalid
Changed in linux-lts-raring (Ubuntu Trusty):
status: New → Invalid
Changed in linux-lts-raring (Ubuntu Lucid):
status: New → Invalid
Changed in linux-lts-raring (Ubuntu Vivid):
status: New → Invalid
Changed in linux-lts-raring (Ubuntu Utopic):
status: New → Invalid
Changed in linux-manta (Ubuntu Precise):
status: New → Invalid
Changed in linux-manta (Ubuntu Lucid):
status: New → Invalid
description: updated
Changed in linux-lts-trusty (Ubuntu Precise):
importance: Undecided → Low
Changed in linux-lts-trusty (Ubuntu Trusty):
importance: Undecided → Low
Changed in linux-lts-trusty (Ubuntu Lucid):
importance: Undecided → Low
Changed in linux-lts-trusty (Ubuntu Vivid):
importance: Undecided → Low
Changed in linux-lts-trusty (Ubuntu Utopic):
importance: Undecided → Low
Changed in linux-armadaxp (Ubuntu Precise):
importance: Undecided → Low
Changed in linux-armadaxp (Ubuntu Trusty):
importance: Undecided → Low
Changed in linux-armadaxp (Ubuntu Lucid):
importance: Undecided → Low
Changed in linux-armadaxp (Ubuntu Vivid):
importance: Undecided → Low
Changed in linux-armadaxp (Ubuntu Utopic):
importance: Undecided → Low
Changed in linux-lts-utopic (Ubuntu Precise):
importance: Undecided → Low
Changed in linux-lts-utopic (Ubuntu Trusty):
importance: Undecided → Low
Changed in linux-lts-utopic (Ubuntu Lucid):
importance: Undecided → Low
Changed in linux-lts-utopic (Ubuntu Vivid):
importance: Undecided → Low
Changed in linux-lts-utopic (Ubuntu Utopic):
importance: Undecided → Low
Changed in linux-ec2 (Ubuntu Precise):
importance: Undecided → Low
Changed in linux-ec2 (Ubuntu Trusty):
importance: Undecided → Low
Changed in linux-ec2 (Ubuntu Lucid):
importance: Undecided → Low
Changed in linux-ec2 (Ubuntu Vivid):
importance: Undecided → Low
Changed in linux-ec2 (Ubuntu Utopic):
importance: Undecided → Low
Changed in linux-lts-quantal (Ubuntu Precise):
importance: Undecided → Low
Changed in linux-lts-quantal (Ubuntu Trusty):
importance: Undecided → Low
Changed in linux-lts-quantal (Ubuntu Lucid):
importance: Undecided → Low
Changed in linux-lts-quantal (Ubuntu Vivid):
importance: Undecided → Low
Changed in linux-lts-quantal (Ubuntu Utopic):
importance: Undecided → Low
Changed in linux-flo (Ubuntu Precise):
importance: Undecided → Low
Changed in linux-flo (Ubuntu Trusty):
status: New → Invalid
importance: Undecided → Low
Changed in linux-flo (Ubuntu Lucid):
importance: Undecided → Low
Changed in linux-flo (Ubuntu Vivid):
importance: Undecided → Low
Changed in linux-flo (Ubuntu Utopic):
importance: Undecided → Low
Changed in linux-mvl-dove (Ubuntu Precise):
importance: Undecided → Low
Changed in linux-mvl-dove (Ubuntu Trusty):
importance: Undecided → Low
Changed in linux-mvl-dove (Ubuntu Lucid):
status: New → Invalid
importance: Undecided → Low
Changed in linux-mvl-dove (Ubuntu Vivid):
importance: Undecided → Low
Changed in linux-mvl-dove (Ubuntu Utopic):
importance: Undecided → Low
Changed in linux-goldfish (Ubuntu Precise):
importance: Undecided → Low
Changed in linux-goldfish (Ubuntu Trusty):
status: New → Invalid
importance: Undecided → Low
Changed in linux-goldfish (Ubuntu Lucid):
importance: Undecided → Low
Changed in linux-goldfish (Ubuntu Vivid):
importance: Undecided → Low
Changed in linux-goldfish (Ubuntu Utopic):
importance: Undecided → Low
Changed in linux-lts-saucy (Ubuntu Precise):
importance: Undecided → Low
Changed in linux-lts-saucy (Ubuntu Trusty):
importance: Undecided → Low
Changed in linux-lts-saucy (Ubuntu Lucid):
importance: Undecided → Low
Changed in linux-lts-saucy (Ubuntu Vivid):
importance: Undecided → Low
Changed in linux-lts-saucy (Ubuntu Utopic):
importance: Undecided → Low
Changed in linux (Ubuntu Precise):
importance: Undecided → Low
Changed in linux (Ubuntu Trusty):
importance: Undecided → Low
Changed in linux (Ubuntu Lucid):
importance: Undecided → Low
Changed in linux (Ubuntu Vivid):
importance: Undecided → Low
Changed in linux (Ubuntu Utopic):
importance: Undecided → Low
Changed in linux-mako (Ubuntu Precise):
importance: Undecided → Low
Changed in linux-mako (Ubuntu Trusty):
status: New → Invalid
importance: Undecided → Low
Changed in linux-mako (Ubuntu Lucid):
importance: Undecided → Low
Changed in linux-mako (Ubuntu Vivid):
importance: Undecided → Low
Changed in linux-mako (Ubuntu Utopic):
importance: Undecided → Low
Changed in linux-ti-omap4 (Ubuntu Precise):
importance: Undecided → Low
Changed in linux-ti-omap4 (Ubuntu Trusty):
importance: Undecided → Low
Changed in linux-ti-omap4 (Ubuntu Lucid):
importance: Undecided → Low
Changed in linux-ti-omap4 (Ubuntu Vivid):
importance: Undecided → Low
Changed in linux-ti-omap4 (Ubuntu Utopic):
importance: Undecided → Low
Changed in linux-fsl-imx51 (Ubuntu Precise):
importance: Undecided → Low
Changed in linux-fsl-imx51 (Ubuntu Trusty):
importance: Undecided → Low
Changed in linux-fsl-imx51 (Ubuntu Lucid):
status: New → Invalid
importance: Undecided → Low
Changed in linux-fsl-imx51 (Ubuntu Vivid):
importance: Undecided → Low
Changed in linux-fsl-imx51 (Ubuntu Utopic):
importance: Undecided → Low
Changed in linux-lts-raring (Ubuntu Precise):
importance: Undecided → Low
Changed in linux-lts-raring (Ubuntu Trusty):
importance: Undecided → Low
Changed in linux-lts-raring (Ubuntu Lucid):
importance: Undecided → Low
Changed in linux-lts-raring (Ubuntu Vivid):
importance: Undecided → Low
Changed in linux-lts-raring (Ubuntu Utopic):
importance: Undecided → Low
Changed in linux-manta (Ubuntu Precise):
importance: Undecided → Low
Changed in linux-manta (Ubuntu Trusty):
status: New → Invalid
importance: Undecided → Low
Changed in linux-manta (Ubuntu Lucid):
importance: Undecided → Low
Changed in linux-manta (Ubuntu Vivid):
importance: Undecided → Low
Changed in linux-manta (Ubuntu Utopic):
importance: Undecided → Low
Changed in linux-lts-raring (Ubuntu Precise):
status: New → Invalid
description: updated
Changed in linux (Ubuntu Vivid):
status: New → Invalid
Changed in linux-lts-quantal (Ubuntu Precise):
status: New → Fix Committed
Changed in linux-lts-saucy (Ubuntu Precise):
status: New → Fix Committed
Brad Figg (brad-figg) on 2015-03-19
Changed in linux (Ubuntu Trusty):
status: New → Fix Committed
Brad Figg (brad-figg) on 2015-03-19
Changed in linux (Ubuntu Precise):
status: New → Fix Committed
Changed in linux (Ubuntu Utopic):
status: New → Fix Committed
Changed in linux-lts-trusty (Ubuntu Precise):
status: New → Fix Committed
Changed in linux-armadaxp (Ubuntu Precise):
status: New → Fix Committed
Changed in linux-lts-utopic (Ubuntu Trusty):
status: New → Fix Committed
Changed in linux-ti-omap4 (Ubuntu Precise):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (5.9 KiB)

This bug was fixed in the package linux - 3.13.0-49.81

---------------
linux (3.13.0-49.81) trusty; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1436016

  [ Alex Hung ]

  * SAUCE: ACPI / blacklist: blacklist Win8 OSI for HP Pavilion dv6
    - LP: #1416940

  [ Andy Whitcroft ]

  * [Packaging] generate live watchdog blacklists
    - LP: #1432837

  [ Ben Widawsky ]

  * SAUCE: i915_bdw: drm/i915/bdw: enable eDRAM.
    - LP: #1430855

  [ Chris J Arges ]

  * [Config] Add ibmvfc to d-i
    - LP: #1416001

  [ Seth Forshee ]

  * [Config] updateconfigs - enable X86_UP_APIC_MSI

  [ Upstream Kernel Changes ]

  * net: add sysfs helpers for netdev_adjacent logic
    - LP: #1410852
  * net: Mark functions as static in core/dev.c
    - LP: #1410852
  * net: rename sysfs symlinks on device name change
    - LP: #1410852
  * btrfs: fix null pointer dereference in clone_fs_devices when name is
    null
    - LP: #1429804
  * cdc-acm: add sanity checks
    - LP: #1413992
  * x86: thinkpad_acpi.c: fixed spacing coding style issue
    - LP: #1417915
  * thinkpad_acpi: support new BIOS version string pattern
    - LP: #1417915
  * net: sctp: fix slab corruption from use after free on INIT collisions
    - LP: #1416506
    - CVE-2015-1421
  * ipv4: try to cache dst_entries which would cause a redirect
    - LP: #1420027
    - CVE-2015-1465
  * x86, mm/ASLR: Fix stack randomization on 64-bit systems
    - LP: #1423757
    - CVE-2015-1593
  * net: llc: use correct size for sysctl timeout entries
    - LP: #1425271
    - CVE-2015-2041
  * net: rds: use correct size for max unacked packets and bytes
    - LP: #1425274
    - CVE-2015-2042
  * Btrfs: clear compress-force when remounting with compress option
    - LP: #1434183
  * ext4: merge uninitialized extents
    - LP: #1430184
  * btrfs: filter invalid arg for btrfs resize
    - LP: #1435441
  * Bluetooth: Add firmware update for Atheros 0cf3:311f
  * Bluetooth: btusb: Add IMC Networks (Broadcom based)
  * Bluetooth: sort the list of IDs in the source code
  * Bluetooth: append new supported device to the list [0b05:17d0]
  * Bluetooth: Add support for Intel bootloader devices
  * Bluetooth: Ignore isochronous endpoints for Intel USB bootloader
  * Bluetooth: Add support for Acer [13D3:3432]
  * Bluetooth: Add support for Broadcom device of Asus Z97-DELUXE
    motherboard
  * Add a new PID/VID 0227/0930 for AR3012.
  * Bluetooth: Add support for Acer [0489:e078]
  * Bluetooth: Add USB device 04ca:3010 as Atheros AR3012
  * x86: mm: move mmap_sem unlock from mm_fault_error() to caller
  * vm: add VM_FAULT_SIGSEGV handling support
  * vm: make stack guard page errors return VM_FAULT_SIGSEGV rather than
    SIGBUS
  * spi/pxa2xx: Clear cur_chip pointer before starting next message
  * spi: dw: Fix detecting FIFO depth
  * spi: dw-mid: fix FIFO size
  * ASoC: wm8960: Fix capture sample rate from 11250 to 11025
  * regulator: core: fix race condition in regulator_put()
  * ASoC: omap-mcbsp: Correct CBM_CFS dai format configuration
  * can: c_can: end pending transmission on network stop (ifdown)
  * nfs: fix dio deadlock when O_DIRECT flag is flipped
  * NFSv4.1: Fix an Oops in nfs41_...

Read more...

Changed in linux (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.2.0-80.116

---------------
linux (3.2.0-80.116) precise; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1435392

  [ Andy Whitcroft ]

  * [Packaging] generate live watchdog blacklists
    - LP: #1432837

  [ Upstream Kernel Changes ]

  * Drivers: hv: vmbus: incorrect device name is printed when child device
    is unregistered
    - LP: #1417313
  * x86, mm/ASLR: Fix stack randomization on 64-bit systems
    - LP: #1423757
    - CVE-2015-1593
  * net: llc: use correct size for sysctl timeout entries
    - LP: #1425271
    - CVE-2015-2041
  * net: rds: use correct size for max unacked packets and bytes
    - LP: #1425274
    - CVE-2015-2042
  * PCI: quirks: Fix backport of quirk_io()
    - LP: #1434639
  * MIPS: IRQ: Fix disable_irq on CPU IRQs
    - LP: #1434639
  * ASoC: atmel_ssc_dai: fix start event for I2S mode
    - LP: #1434639
  * ALSA: ak411x: Fix stall in work callback
    - LP: #1434639
  * lib/checksum.c: fix carry in csum_tcpudp_nofold
    - LP: #1434639
  * lib/checksum.c: fix build for generic csum_tcpudp_nofold
    - LP: #1434639
  * caif: remove wrong dev_net_set() call
    - LP: #1434639
  * MIPS: Fix kernel lockup or crash after CPU offline/online
    - LP: #1434639
  * gpio: sysfs: fix memory leak in gpiod_export_link
    - LP: #1434639
  * gpio: sysfs: fix memory leak in gpiod_sysfs_set_active_low
    - LP: #1434639
  * net: sctp: fix passing wrong parameter header to param_type2af in
    sctp_process_param
    - LP: #1434639
  * mm: pagewalk: call pte_hole() for VM_PFNMAP during walk_page_range
    - LP: #1434639
  * nilfs2: fix deadlock of segment constructor over I_SYNC flag
    - LP: #1434639
  * staging: comedi: cb_pcidas64: fix incorrect AI range code handling
    - LP: #1434639
  * media/rc: Send sync space information on the lirc device
    - LP: #1434639
  * sched/rt: Reduce rq lock contention by eliminating locking of
    non-feasible target
    - LP: #1434639
  * time: adjtimex: Validate the ADJ_FREQUENCY values
    - LP: #1434639
  * ntp: Fixup adjtimex freq validation on 32-bit systems
    - LP: #1434639
  * ipv6: fib: fix fib dump restart
    - LP: #1434639
  * ipv6: fib: fix fib dump restart
    - LP: #1434639
  * Bluetooth: ath3k: workaround the compatibility issue with xHCI
    controller
    - LP: #1400215, #1434639
  * Linux 3.2.68
    - LP: #1434639
  * KVM: nVMX: Fix content of MSR_IA32_VMX_ENTRY/EXIT_CTLS
    - LP: #1431473
 -- Brad Figg <email address hidden> Mon, 23 Mar 2015 08:41:45 -0700

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-armadaxp - 3.2.0-1648.67

---------------
linux-armadaxp (3.2.0-1648.67) precise; urgency=low

  [ Ike Panhc ]

  * Release Tracking Bug
    - LP: #1435581
  * Rebase to Ubuntu-3.2.0-80.116

  [ Ubuntu: 3.2.0-80.116 ]

  * Release Tracking Bug
    - LP: #1435392
  * [Packaging] generate live watchdog blacklists
    - LP: #1432837
  * Drivers: hv: vmbus: incorrect device name is printed when child device
    is unregistered
    - LP: #1417313
  * x86, mm/ASLR: Fix stack randomization on 64-bit systems
    - LP: #1423757
    - CVE-2015-1593
  * net: llc: use correct size for sysctl timeout entries
    - LP: #1425271
    - CVE-2015-2041
  * net: rds: use correct size for max unacked packets and bytes
    - LP: #1425274
    - CVE-2015-2042
  * PCI: quirks: Fix backport of quirk_io()
    - LP: #1434639
  * MIPS: IRQ: Fix disable_irq on CPU IRQs
    - LP: #1434639
  * ASoC: atmel_ssc_dai: fix start event for I2S mode
    - LP: #1434639
  * ALSA: ak411x: Fix stall in work callback
    - LP: #1434639
  * lib/checksum.c: fix carry in csum_tcpudp_nofold
    - LP: #1434639
  * lib/checksum.c: fix build for generic csum_tcpudp_nofold
    - LP: #1434639
  * caif: remove wrong dev_net_set() call
    - LP: #1434639
  * MIPS: Fix kernel lockup or crash after CPU offline/online
    - LP: #1434639
  * gpio: sysfs: fix memory leak in gpiod_export_link
    - LP: #1434639
  * gpio: sysfs: fix memory leak in gpiod_sysfs_set_active_low
    - LP: #1434639
  * net: sctp: fix passing wrong parameter header to param_type2af in
    sctp_process_param
    - LP: #1434639
  * mm: pagewalk: call pte_hole() for VM_PFNMAP during walk_page_range
    - LP: #1434639
  * nilfs2: fix deadlock of segment constructor over I_SYNC flag
    - LP: #1434639
  * staging: comedi: cb_pcidas64: fix incorrect AI range code handling
    - LP: #1434639
  * media/rc: Send sync space information on the lirc device
    - LP: #1434639
  * sched/rt: Reduce rq lock contention by eliminating locking of
    non-feasible target
    - LP: #1434639
  * time: adjtimex: Validate the ADJ_FREQUENCY values
    - LP: #1434639
  * ntp: Fixup adjtimex freq validation on 32-bit systems
    - LP: #1434639
  * ipv6: fib: fix fib dump restart
    - LP: #1434639
  * ipv6: fib: fix fib dump restart
    - LP: #1434639
  * Bluetooth: ath3k: workaround the compatibility issue with xHCI
    controller
    - LP: #1400215, #1434639
  * Linux 3.2.68
    - LP: #1434639
  * KVM: nVMX: Fix content of MSR_IA32_VMX_ENTRY/EXIT_CTLS
    - LP: #1431473
 -- Ike Panhc <email address hidden> Tue, 24 Mar 2015 09:26:44 +0800

Changed in linux-armadaxp (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-ti-omap4 - 3.2.0-1462.82

---------------
linux-ti-omap4 (3.2.0-1462.82) precise; urgency=low

  * Release Tracking Bug
    - LP: #1435579

  [ Paolo Pisati ]

  * rebased on Ubuntu-3.2.0-80.116

  [ Ubuntu: 3.2.0-80.116 ]

  * Release Tracking Bug
    - LP: #1435392
  * [Packaging] generate live watchdog blacklists
    - LP: #1432837
  * Drivers: hv: vmbus: incorrect device name is printed when child device
    is unregistered
    - LP: #1417313
  * x86, mm/ASLR: Fix stack randomization on 64-bit systems
    - LP: #1423757
    - CVE-2015-1593
  * net: llc: use correct size for sysctl timeout entries
    - LP: #1425271
    - CVE-2015-2041
  * net: rds: use correct size for max unacked packets and bytes
    - LP: #1425274
    - CVE-2015-2042
  * PCI: quirks: Fix backport of quirk_io()
    - LP: #1434639
  * MIPS: IRQ: Fix disable_irq on CPU IRQs
    - LP: #1434639
  * ASoC: atmel_ssc_dai: fix start event for I2S mode
    - LP: #1434639
  * ALSA: ak411x: Fix stall in work callback
    - LP: #1434639
  * lib/checksum.c: fix carry in csum_tcpudp_nofold
    - LP: #1434639
  * lib/checksum.c: fix build for generic csum_tcpudp_nofold
    - LP: #1434639
  * caif: remove wrong dev_net_set() call
    - LP: #1434639
  * MIPS: Fix kernel lockup or crash after CPU offline/online
    - LP: #1434639
  * gpio: sysfs: fix memory leak in gpiod_export_link
    - LP: #1434639
  * gpio: sysfs: fix memory leak in gpiod_sysfs_set_active_low
    - LP: #1434639
  * net: sctp: fix passing wrong parameter header to param_type2af in
    sctp_process_param
    - LP: #1434639
  * mm: pagewalk: call pte_hole() for VM_PFNMAP during walk_page_range
    - LP: #1434639
  * nilfs2: fix deadlock of segment constructor over I_SYNC flag
    - LP: #1434639
  * staging: comedi: cb_pcidas64: fix incorrect AI range code handling
    - LP: #1434639
  * media/rc: Send sync space information on the lirc device
    - LP: #1434639
  * sched/rt: Reduce rq lock contention by eliminating locking of
    non-feasible target
    - LP: #1434639
  * time: adjtimex: Validate the ADJ_FREQUENCY values
    - LP: #1434639
  * ntp: Fixup adjtimex freq validation on 32-bit systems
    - LP: #1434639
  * ipv6: fib: fix fib dump restart
    - LP: #1434639
  * ipv6: fib: fix fib dump restart
    - LP: #1434639
  * Bluetooth: ath3k: workaround the compatibility issue with xHCI
    controller
    - LP: #1400215, #1434639
  * Linux 3.2.68
    - LP: #1434639
  * KVM: nVMX: Fix content of MSR_IA32_VMX_ENTRY/EXIT_CTLS
    - LP: #1431473

  [ Ubuntu: 3.2.0-79.115 ]

  * Release Tracking Bug
    - LP: #1431359
  * Merged back all changes that were in Ubuntu-3.2.0-78.113
  * x86: mm/fault: Fix semaphore imbalance
    - LP: #1431280
 -- Paolo Pisati <email address hidden> Wed, 25 Mar 2015 11:17:05 +0100

Changed in linux-ti-omap4 (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (5.9 KiB)

This bug was fixed in the package linux-lts-trusty - 3.13.0-49.81~precise1

---------------
linux-lts-trusty (3.13.0-49.81~precise1) precise; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1436132

  [ Alex Hung ]

  * SAUCE: ACPI / blacklist: blacklist Win8 OSI for HP Pavilion dv6
    - LP: #1416940

  [ Andy Whitcroft ]

  * [Packaging] generate live watchdog blacklists
    - LP: #1432837

  [ Ben Widawsky ]

  * SAUCE: i915_bdw: drm/i915/bdw: enable eDRAM.
    - LP: #1430855

  [ Chris J Arges ]

  * [Config] Add ibmvfc to d-i
    - LP: #1416001

  [ Seth Forshee ]

  * [Config] updateconfigs - enable X86_UP_APIC_MSI

  [ Upstream Kernel Changes ]

  * net: add sysfs helpers for netdev_adjacent logic
    - LP: #1410852
  * net: Mark functions as static in core/dev.c
    - LP: #1410852
  * net: rename sysfs symlinks on device name change
    - LP: #1410852
  * btrfs: fix null pointer dereference in clone_fs_devices when name is
    null
    - LP: #1429804
  * cdc-acm: add sanity checks
    - LP: #1413992
  * x86: thinkpad_acpi.c: fixed spacing coding style issue
    - LP: #1417915
  * thinkpad_acpi: support new BIOS version string pattern
    - LP: #1417915
  * net: sctp: fix slab corruption from use after free on INIT collisions
    - LP: #1416506
    - CVE-2015-1421
  * ipv4: try to cache dst_entries which would cause a redirect
    - LP: #1420027
    - CVE-2015-1465
  * x86, mm/ASLR: Fix stack randomization on 64-bit systems
    - LP: #1423757
    - CVE-2015-1593
  * net: llc: use correct size for sysctl timeout entries
    - LP: #1425271
    - CVE-2015-2041
  * net: rds: use correct size for max unacked packets and bytes
    - LP: #1425274
    - CVE-2015-2042
  * Btrfs: clear compress-force when remounting with compress option
    - LP: #1434183
  * ext4: merge uninitialized extents
    - LP: #1430184
  * btrfs: filter invalid arg for btrfs resize
    - LP: #1435441
  * Bluetooth: Add firmware update for Atheros 0cf3:311f
  * Bluetooth: btusb: Add IMC Networks (Broadcom based)
  * Bluetooth: sort the list of IDs in the source code
  * Bluetooth: append new supported device to the list [0b05:17d0]
  * Bluetooth: Add support for Intel bootloader devices
  * Bluetooth: Ignore isochronous endpoints for Intel USB bootloader
  * Bluetooth: Add support for Acer [13D3:3432]
  * Bluetooth: Add support for Broadcom device of Asus Z97-DELUXE
    motherboard
  * Add a new PID/VID 0227/0930 for AR3012.
  * Bluetooth: Add support for Acer [0489:e078]
  * Bluetooth: Add USB device 04ca:3010 as Atheros AR3012
  * x86: mm: move mmap_sem unlock from mm_fault_error() to caller
  * vm: add VM_FAULT_SIGSEGV handling support
  * vm: make stack guard page errors return VM_FAULT_SIGSEGV rather than
    SIGBUS
  * spi/pxa2xx: Clear cur_chip pointer before starting next message
  * spi: dw: Fix detecting FIFO depth
  * spi: dw-mid: fix FIFO size
  * ASoC: wm8960: Fix capture sample rate from 11250 to 11025
  * regulator: core: fix race condition in regulator_put()
  * ASoC: omap-mcbsp: Correct CBM_CFS dai format configuration
  * can: c_can: end pending transmission on network stop (ifdown)
  * nfs: fix dio deadlock when O_DIRECT flag is f...

Read more...

Changed in linux-lts-trusty (Ubuntu Precise):
status: Fix Committed → Fix Released
Changed in linux-lts-utopic (Ubuntu Trusty):
status: Fix Committed → Fix Released
Changed in linux-lts-quantal (Ubuntu Precise):
status: Fix Committed → Invalid
Changed in linux-lts-saucy (Ubuntu Precise):
status: Fix Committed → Invalid
Changed in linux (Ubuntu Utopic):
status: Fix Committed → Fix Released
description: updated
no longer affects: linux-lts-trusty (Ubuntu Lucid)
no longer affects: linux-armadaxp (Ubuntu Lucid)
no longer affects: linux-ec2 (Ubuntu Lucid)
no longer affects: linux-goldfish (Ubuntu Lucid)
no longer affects: linux-lts-saucy (Ubuntu Lucid)
no longer affects: linux-lts-quantal (Ubuntu Lucid)
no longer affects: linux-mvl-dove (Ubuntu Lucid)
no longer affects: linux-ti-omap4 (Ubuntu Lucid)
no longer affects: linux (Ubuntu Lucid)
no longer affects: linux-mako (Ubuntu Lucid)
no longer affects: linux-fsl-imx51 (Ubuntu Lucid)
no longer affects: linux-lts-utopic (Ubuntu Lucid)
no longer affects: linux-flo (Ubuntu Lucid)
no longer affects: linux-lts-raring (Ubuntu Lucid)
no longer affects: linux-manta (Ubuntu Lucid)
Changed in linux-lts-vivid (Ubuntu Precise):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-vivid (Ubuntu Vivid):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-vivid (Ubuntu Wily):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-vivid (Ubuntu Utopic):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-vivid (Ubuntu Trusty):
status: New → Fix Committed
importance: Undecided → Low
Rolf Leggewie (r0lf) wrote :

lucid has seen the end of its life and is no longer receiving any updates. Marking the lucid task for this ticket as "Won't Fix".

Changed in linux-lts-backport-maverick (Ubuntu Lucid):
status: New → Won't Fix
Changed in linux-lts-backport-natty (Ubuntu Lucid):
status: New → Won't Fix
no longer affects: linux-lts-trusty (Ubuntu Utopic)
no longer affects: linux-armadaxp (Ubuntu Utopic)
no longer affects: linux-ec2 (Ubuntu Utopic)
no longer affects: linux-goldfish (Ubuntu Utopic)
no longer affects: linux-lts-saucy (Ubuntu Utopic)
no longer affects: linux-lts-quantal (Ubuntu Utopic)
no longer affects: linux-mvl-dove (Ubuntu Utopic)
no longer affects: linux-ti-omap4 (Ubuntu Utopic)
no longer affects: linux-lts-vivid (Ubuntu Utopic)
no longer affects: linux (Ubuntu Utopic)
no longer affects: linux-mako (Ubuntu Utopic)
no longer affects: linux-fsl-imx51 (Ubuntu Utopic)
no longer affects: linux-lts-utopic (Ubuntu Utopic)
no longer affects: linux-flo (Ubuntu Utopic)
no longer affects: linux-lts-raring (Ubuntu Utopic)
no longer affects: linux-manta (Ubuntu Utopic)
Steve Beattie (sbeattie) on 2015-11-10
Changed in linux-lts-wily (Ubuntu Precise):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-wily (Ubuntu Wily):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-wily (Ubuntu Xenial):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-wily (Ubuntu Trusty):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-wily (Ubuntu Vivid):
status: New → Invalid
importance: Undecided → Low
Steve Beattie (sbeattie) on 2015-11-16
Changed in linux-raspi2 (Ubuntu Precise):
status: New → Invalid
importance: Undecided → Low
Changed in linux-raspi2 (Ubuntu Wily):
status: New → Invalid
importance: Undecided → Low
Changed in linux-raspi2 (Ubuntu Xenial):
status: New → Invalid
importance: Undecided → Low
Changed in linux-raspi2 (Ubuntu Trusty):
status: New → Invalid
importance: Undecided → Low
Changed in linux-raspi2 (Ubuntu Vivid):
status: New → Invalid
importance: Undecided → Low
Steve Beattie (sbeattie) on 2015-12-03
Changed in linux-raspi2 (Ubuntu Xenial):
status: Invalid → Fix Committed
Steve Beattie (sbeattie) on 2016-02-10
Changed in linux-lts-xenial (Ubuntu Precise):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-xenial (Ubuntu Wily):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-xenial (Ubuntu Xenial):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-xenial (Ubuntu Trusty):
status: New → Fix Committed
importance: Undecided → Low
Steve Beattie (sbeattie) on 2016-04-19
Changed in linux-manta (Ubuntu Xenial):
status: New → Invalid
Rolf Leggewie (r0lf) on 2016-04-24
Changed in linux-lts-backport-maverick (Ubuntu Utopic):
status: New → Won't Fix
Changed in linux-lts-backport-natty (Ubuntu Utopic):
status: New → Won't Fix
Steve Beattie (sbeattie) on 2016-05-05
Changed in linux-snapdragon (Ubuntu Precise):
status: New → Invalid
importance: Undecided → Low
Changed in linux-snapdragon (Ubuntu Wily):
status: New → Invalid
importance: Undecided → Low
Changed in linux-snapdragon (Ubuntu Xenial):
status: New → Invalid
importance: Undecided → Low
Changed in linux-snapdragon (Ubuntu Yakkety):
status: New → Invalid
importance: Undecided → Low
Changed in linux-snapdragon (Ubuntu Trusty):
status: New → Invalid
importance: Undecided → Low

This bug was nominated against a series that is no longer supported, ie vivid. The bug task representing the vivid nomination is being closed as Won't Fix.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux-goldfish (Ubuntu Vivid):
status: New → Won't Fix
Andy Whitcroft (apw) on 2017-10-17
Changed in linux-manta (Ubuntu Vivid):
status: New → Won't Fix
To post a comment you must log in.
This report contains Public Security information  Edit
Everyone can see this security related information.

Other bug subscribers